<template>
	<a href="#" onclick={handleClick}>
		<div class="border">
            <lightning-layout vertical-align="center" class="slds-border_left slds-border_right slds-border_top slds-border_bottom slds-p-around_xx-small">
                <lightning-icon icon-name="standard:case" alternative-text="Case" title={record.CaseNumber} size="medium"></lightning-icon>
                <lightning-layout-item padding="around-small">
                <div class="slds-grid slds-grid--align-spread slds-has-flexi-truncate">
                    <dl class="slds-list_horizontal slds-wrap">
                        <dt class="slds-item_label slds-text-color_weak">
                            Case Number:
                        </dt>
                        <dd class="slds-item_detail">
                            {record.CaseNumber}
                        </dd>
                        <dt class="slds-item_label slds-text-color_weak">
                            Account Name:
                        </dt>
                        <dd class="slds-item_detail">
                            {name}
                        </dd>
                        <dt class="slds-item_label slds-text-color_weak">
                            Priority:
                        </dt>
                        <dd class="slds-item_detail">
                            {record.Priority}
                        </dd>
                        <dt class="slds-item_label slds-text-color_weak">
                            Category:
                        </dt>
                        <dd class="slds-item_detail">
                            {record.Category__c}
                        </dd>
                        <dt class="slds-item_label slds-text-color_weak">
                            Sub-Category:
                        </dt>
                        <dd class="slds-item_detail">
                            {record.Sub_category__c}
                        </dd>
                        <dt class="slds-item_label slds-text-color_weak">
                            Date Opened:
                        </dt>
                        <dd class="slds-item_detail">
                            {record.CreatedDate}
                        </dd>
                    </dl>
                </div>       
            </lightning-layout-item>
		</lightning-layout>
		</div>
    </a>
</template>